Page MenuHomePhabricator

If a user is partially blocked they should be able to perform rollback on unrelated pages
Closed, ResolvedPublic3 Story Points

Description

Problem:
Tested on Nov. 1, 2018 on testwiki

An attempt to rollback the edits of a page got the error message that roll back was not allowed. See image of error message.

Expected behavior:

When a user is partially blocked they should be able to roll back edits on other unrelated pages.

Event Timeline

SPoore created this task.Nov 2 2018, 12:05 AM
Restricted Application added subscribers: MGChecker, Aklapper. Β· View Herald TranscriptNov 2 2018, 12:05 AM
TBolliger triaged this task as Normal priority.Nov 2 2018, 12:15 AM
TBolliger moved this task from Untriaged to Backlog on the Anti-Harassment board.
jrbs renamed this task from If an admin is partially blocked they should be able to do roll back on unrelatetd pages to If an admin is partially blocked they should be able to perform rollback on unrelated pages.Nov 2 2018, 1:44 AM
jrbs added a subscriber: jrbs.

This probably isn’t limited to admins, right? Can regular users with rollback perform rollbacks while partially blocked?

Krenair added a subscriber: Krenair.Nov 2 2018, 1:45 AM
dmaza added a subscriber: dmaza.Nov 2 2018, 3:48 AM

This probably isn’t limited to admins, right? Can regular users with rollback perform rollbacks while partially blocked?

It is not limited to admins. If partially blocked no user can perform rollbacks on any pages regardless of groups/permissions.

jrbs renamed this task from If an admin is partially blocked they should be able to perform rollback on unrelated pages to If a user is partially blocked they should be able to perform rollback on unrelated pages.Nov 2 2018, 3:49 AM
jrbs updated the task description. (Show Details)
TBolliger raised the priority of this task from Normal to High.Nov 2 2018, 4:40 PM
TBolliger moved this task from Backlog to Cards ready to be discussed on the Anti-Harassment board.
TBolliger set the point value for this task to 3.
dbarratt changed the task status from Open to Stalled.Nov 8 2018, 10:22 PM
dbarratt claimed this task.Nov 12 2018, 2:46 PM
dbarratt moved this task from Ready to In progress on the Anti-Harassment (AHT Sprint 33) board.
dbarratt removed dbarratt as the assignee of this task.Nov 12 2018, 3:00 PM
dbarratt moved this task from In progress to Ready on the Anti-Harassment (AHT Sprint 33) board.
dbarratt moved this task from Ready to Review on the Anti-Harassment (AHT Sprint 33) board.
TBolliger closed this task as Resolved.Nov 15 2018, 5:48 PM
TBolliger moved this task from Review to Done on the Anti-Harassment (AHT Sprint 33) board.

Works as expected on thegoodplace test wiki, as of yesterday.